package com.xydl.cac.service;

import com.xydl.cac.entity.NSensor;
import com.xydl.cac.model.SensorDetail;

import java.io.InputStream;
import java.io.OutputStream;
import java.util.List;
import java.util.Map;

public interface ReportService {

    void exportSensor(SensorDetail<Map<String, Object>> detail, OutputStream output) throws Exception;

    void exportSensorList(List<SensorDetail<Map<String, Object>>> detailList, OutputStream output) throws Exception;

    void importCac(InputStream input) throws Exception;

    void exportLatest(Map<Integer, List<NSensor>> map, OutputStream output) throws Exception;
}
